Webhooks
Retry a webhook delivery (legacy)
Retries a failed webhook delivery. Legacy endpoint, prefer /v1/webhooks/deliveries//retry.
POST
/
v1
/
webhook-deliveries
/
{deliveryID}
/
retry
Retry a webhook delivery (legacy)
curl --request POST \
--url https://api.strait.dev/v1/webhook-deliveries/{deliveryID}/retry \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.strait.dev/v1/webhook-deliveries/{deliveryID}/retry"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.strait.dev/v1/webhook-deliveries/{deliveryID}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attempts": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"max_attempts": 123,
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"webhook_url": "<string>",
"$schema": "<string>",
"delivered_at": "2023-11-07T05:31:56Z",
"event_trigger_id": "<string>",
"job_id": "<string>",
"last_error": "<string>",
"last_status_code": 123,
"next_retry_at": "2023-11-07T05:31:56Z",
"run_id": "<string>",
"subscription_id": "<string>",
"webhook_retry_policy": "<string>"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Authorizations
API key passed as Bearer token
Path Parameters
Webhook delivery ID
Example:
"whd_01HX8BQNP4"
Response
OK
A URL to the JSON Schema for this object.
Example:
"https://api.strait.dev/schemas/WebhookDelivery.json"
⌘I
Retry a webhook delivery (legacy)
